### Method

# Gtk ListStoremove_before

deprecated: 4.10

#### Declaration [src]

    void
    gtk_list_store_move_before (
      GtkListStore* store,
      GtkTreeIter* iter,
      GtkTreeIter* position
    )

#### Description [src]

Moves `iter` in `store` to the position before `position`. Note that this function only works with unsorted stores. If `position` is `NULL`, `iter` will be moved to the end of the list.

Deprecated since: 4.10

Use list models.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter`

  The data is owned by the caller of the method.

`position`

  Type: `GtkTreeIter`

  A `GtkTreeIter`

  The argument can be `NULL`.
  The data is owned by the caller of the method.